[Flame] OTA failed from v2.1 to v2.2

RESOLVED INVALID

Status

defect
RESOLVED INVALID
4 years ago
4 years ago

People

(Reporter: pcheng, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [3.0-Daily-Testing])

Attachments

(1 attachment)

OTA failed for me when I went from v2.1 to v2.2 on Flame.

STR:
1) Full flash to a v2.1 nightly production build on 4/2
2) Connect to internet
3) In Developer Settings, change 'Update Channel' to 'nightly-b2g37', and reboot the device.
4) Download and install OTA

Expected: OTA is successful

Actual: After tapping to install the OTA, device is stuck on the 'ThunderSoft(R)' screen indefinitely.

Repro frequency: 3/3

Note:
When I tested OTA from 4/2's v2.2 to latest v2.2, the device took forever on the 'Uncompressing...' stage. Not sure if that's related to this bug.

Also attaching a logcat.

Environmental Variables on step 1:
Device: Flame 2.1 (KK, full flashed, 319MB mem)
BuildID: 20150402001208
Gaia: 63c89e001010a9a43ea55afd39333ded3d5e83fc
Gecko: 30ac9a03343a
Gonk: b83fc73de7b64594cd74b33e498bf08332b5d87b
Version: 34.0 (2.1) 
Firmware Version: v18D-1
User Agent: Mozilla/5.0 (Mobile; rv:34.0) Gecko/34.0 Firefox/34.0
(Reporter)

Updated

4 years ago
QA Whiteboard: [QAnalyst-Triage?]
Flags: needinfo?(ktucker)
Whiteboard: [3.0-Daily-Testing]
(Reporter)

Updated

4 years ago
Flags: needinfo?(nhirata.bugzilla)
QA Whiteboard: [QAnalyst-Triage?] → [QAnalyst-Triage+]
Flags: needinfo?(ktucker)
I think we can't do OTA from 2.1 to 2.2, or 2.0 to 2.2, nor 2.2 to 3.0 due to changes in gonk...
bluetooth will break, NFC will break, and a bunch of other things...  I think we can only do OTA now; and even then, we've noticed OTA breaks NFC from the feb. version to today's version.

pinging dhylands, mwu for input.

I think we're going to have to rely on vendor FOTA?
Flags: needinfo?(nhirata.bugzilla)
Flags: needinfo?(mwu)
Flags: needinfo?(dhylands)
I'm not sure what gonk stuff changed between 2.1 and 2.2, but it's entirely possible that an OTA update would fail if gonk changes were required.

FOTA would be required to make the necessary gonk changes.
Flags: needinfo?(dhylands)
NI Bhavana to determine if this is a blocker.
blocking-b2g: --- → 2.2?
Flags: needinfo?(bbajaj)
Ooo... figured out a good way to find the diff:
https://github.com/mozilla-b2g/b2g-manifest/compare/v2.2...v2.1
Bluedroid stack change.

FOTA will be needed.  OTA would be invalid.
(Reporter)

Comment 5

4 years ago
This bug is invalid then? How do we do FOTA? (is it something that we can do?)
(In reply to Pi Wei Cheng [:piwei] from comment #5)
> This bug is invalid then? How do we do FOTA? (is it something that we can
> do?)

yes, I've shared the FOTA details with Brain Huang and Gerry, so we'd have to test that.     Here's some info on how we've done in the past : https://bugzilla.mozilla.org/show_bug.cgi?id=907444#c13
Flags: needinfo?(bbajaj)
(Reporter)

Comment 7

4 years ago
Marking bug as invalid.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → INVALID
blocking-b2g: 2.2? → ---

Updated

4 years ago
Flags: needinfo?(mwu)
You need to log in before you can comment on or make changes to this bug.